Package com.io7m.cardant.protocol.inventory.cb

# Interface CAI1ComparisonExact<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

Type Parameters:
  `T` -

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1ComparisonExact.Anything`, `CAI1ComparisonExact.IsEqualTo`, `CAI1ComparisonExact.IsNotEqualTo`

public sealed interface CAI1ComparisonExact<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1ComparisonExact.Anything<T>, CAI1ComparisonExact.IsEqualTo<T>, CAI1ComparisonExact.IsNotEqualTo<T>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1ComparisonExact.Anything<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonExact.IsEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonExact.IsNotEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  CAI1ComparisonExact<T>`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT)`
  Deserialize a value of type CAI1ComparisonExact.
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonExact<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT)`
  Serialize a value of type CAI1ComparisonExact.

- ## Method Details

  - ### serialize

    static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonExact<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT) throws IOException
    Serialize a value of type CAI1ComparisonExact.
    Type Parameters:
      `T` - The type of one or more serialized fields.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
      `$serializeT` - A serializer for values of type T.
    Throws:
      `IOException`

  - ### deserialize

    static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> CAI1ComparisonExact<T> deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT) throws IOException
    Deserialize a value of type CAI1ComparisonExact.
    Type Parameters:
      `T` - The type of one or more deserialized fields.
    Parameters:
      `$context` - The serialization context.
      `$deserializeT` - A deserializer for values of type T.
    Returns:
      A value of type CAI1ComparisonExact.
    Throws:
      `IOException`